Skip to main content
GET
/
api
/
v1
/
users
/
{user_id}
/
files
List files for an user
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/users/{user_id}/files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "file",
      "attributes": {
        "name": "annual_report.pdf",
        "content_type": "application/pdf",
        "byte_size": 1024000,
        "checksum_md5": "<string>",
        "url": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "locked": true,
        "state": "<string>"
      },
      "relationships": {
        "folder": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        },
        "created_by": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

user_id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: folder, created_by

sort
string

Sort order. Prefix with - for descending. Allowed: name, created_at, updated_at

filter[key]
string

Filter results. Available filters: name, name.neq, name.cont, name.in, name.nin. Custom fields can also be filtered with filter[custom_fields.field_name].

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

files found

data
object[]
required
meta
object